RUSHLAST(1)

NAME
rushlast - retrieve information of previous uses of rush

SYNOPSIS

rushlast [OPTION] [user [user ...]]

rushlast [-F STRING] [-f DIR] [-n NUM] [--forward] [-H]

rushlast {-v | -h | --usage}

DESCRIPTION

rushlast is a utility to search backwards in the session history that GNU rush maintains about all users calling on its services.

OPTIONS

-F STRING | --format=STRING
    Use specified format string instead of the default string.

-f DIR | --file=DIR
    Use database directory DIR. Default location is /var/lib/rush.

--forward
    Display entries in chronological instead of reverse time order. The latter is the default mode of operation.

-n NUM | --count=NUM | -NUM
    Show at most NUM records. The numerical form, such as '-3', is provided for compatibility with the standard utility last(1).

-H | --no-header
    Suppress the header line in printout.

-v | --version
    Display program version.

-h | --help
    Display a short help message.

--usage
    Display a concise usage summary.

FILES

/etc/rush.rc
    Location of configuration file.

/var/lib/rush
    Default database directory, where the session history files utmp and wtmp are maintained.

ENVIRONMENT VARIABLES

RUSHLAST_FORMAT
    Formatting string to be used instead of the hard coded value, whenever the switch -F is not in use. An unset value makes rushlast apply the default string.

SEE ALSO
The full documentation for rushlast is maintained as a Texinfo manual. If the info and rush programs were installed from source at your site, the command

    info rush

should give you access to the complete manual.

An online manual is available at

    http://puszcza.gnu.org.ua/software/rush/manual.html.

The Debian package provides information in

    /etc/rush.rc
    /usr/share/doc/rush/README.Debian.gz

with relevant examples, but cannot include the Texinfo manual.

See also rush(8) and rushwho(1).

AUTHOR

This text was written by Mats Erik Andersson for the Debian project, because the original source supplies documentation only in the form of a GNU Texinfo manual. The upstream author licenses the manual under GFDL-1.3, so it had to be removed from the Debian packaging.